Loading...
Searching...
No Matches
pcl::gpu::DevPtr< T > Struct Template Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h>`

Inheritance diagram for pcl::gpu::DevPtr< T >:

## Public Types

using | elem_type = T

## Public Member Functions

__PCL_GPU_HOST_DEVICE__ | DevPtr ()
__PCL_GPU_HOST_DEVICE__ | DevPtr (T *data_arg)
__PCL_GPU_HOST_DEVICE__ std::size_t | elemSize () const
__PCL_GPU_HOST_DEVICE__ | operator T* ()
__PCL_GPU_HOST_DEVICE__ | operator const T * () const

## Public Attributes

T * | data

## Static Public Attributes

static const std::size_t | elem_size = sizeof(elem_type)

## Detailed Description

template<typename T>
struct pcl::gpu::DevPtr< T >

Definition at line 50 of file kernel_containers.h.

## Member Typedef Documentation

## elem_type

template<typename T>

using pcl::gpu::DevPtr< T >::elem_type = T

Definition at line 51 of file kernel_containers.h.

## Constructor & Destructor Documentation

## DevPtr() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::DevPtr< T >::DevPtr | ( |  | ) |

inline

Definition at line 57 of file kernel_containers.h.

References data.

Referenced by pcl::gpu::PtrStep< T >::PtrStep(), and pcl::gpu::PtrSz< T >::PtrSz().

## DevPtr() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::DevPtr< T >::DevPtr | ( | T * | data_arg | ) |

inline

Definition at line 60 of file kernel_containers.h.

References data.

## Member Function Documentation

## elemSize()

template<typename T>

__PCL_GPU_HOST_DEVICE__ std::size_t pcl::gpu::DevPtr< T >::elemSize | ( |  | ) | const

inline

Definition at line 63 of file kernel_containers.h.

References elem_size.

Referenced by pcl::gpu::TextureBinder::TextureBinder().

## operator const T *()

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::DevPtr< T >::operator const T * | ( |  | ) | const

inline

Definition at line 70 of file kernel_containers.h.

References data.

## operator T*()

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::DevPtr< T >::operator T* | ( |  | ) |

inline

Definition at line 69 of file kernel_containers.h.

References data.

## Member Data Documentation

## data

template<typename T>

T* pcl::gpu::DevPtr< T >::data

Definition at line 54 of file kernel_containers.h.

Referenced by DevPtr(), DevPtr(), pcl::gpu::kinfuLS::CyclicalBuffer::initBuffer(), operator const T *(), pcl::gpu::DeviceMemory2D::operator PtrStep< U >(), pcl::gpu::DeviceMemory2D::operator PtrStepSz< U >(), pcl::gpu::DeviceMemory::operator PtrSz< U >(), operator T*(), pcl::gpu::PtrStep< T >::ptr(), pcl::gpu::PtrStep< T >::ptr(), pcl::gpu::TextureBinder::TextureBinder(), and pcl::gpu::TextureBinder::TextureBinder().

## elem_size

template<typename T>

const std::size_t pcl::gpu::DevPtr< T >::elem_size = sizeof(elem_type)

static

Definition at line 52 of file kernel_containers.h.

Referenced by elemSize().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h